opencv: CvBlobSeq Class Reference

Public Member Functions | Protected Attributes

# CvBlobSeq Class Reference

`#include <blobtrack.hpp>`

List of all members.

## Public Member Functions
virtual void | AddBlob (CvBlob *pB)
void | AddFormat (const char *str)
virtual void | Clear ()
| CvBlobSeq (int BlobSize=sizeof(CvBlob))
virtual void | DelBlob (int BlobIndex)
virtual void | DelBlobByID (int BlobID)
virtual CvBlob * | GetBlob (int BlobIndex)
virtual CvBlob * | GetBlobByID (int BlobID)
virtual int | GetBlobNum ()
virtual void | Load (CvFileStorage *fs, CvFileNode *node)
virtual void | Write (CvFileStorage *fs, const char *name)
virtual | ~CvBlobSeq ()
## Protected Attributes
char | m_pElemFormat [1024]
CvMemStorage * | m_pMem
CvSeq * | m_pSeq

## Constructor & Destructor Documentation

CvBlobSeq::CvBlobSeq | ( | int | BlobSize = `sizeof(CvBlob)` ) | `[inline]`

virtual CvBlobSeq::~CvBlobSeq | ( | ) | `[inline, virtual]`

## Member Function Documentation

virtual void CvBlobSeq::AddBlob | ( | CvBlob * | pB ) | `[inline, virtual]`

void CvBlobSeq::AddFormat | ( | const char * | str ) | `[inline]`

virtual void CvBlobSeq::Clear | ( | ) | `[inline, virtual]`

virtual void CvBlobSeq::DelBlob | ( | int | BlobIndex ) | `[inline, virtual]`

virtual void CvBlobSeq::DelBlobByID | ( | int | BlobID ) | `[inline, virtual]`

virtual CvBlob* CvBlobSeq::GetBlob | ( | int | BlobIndex ) | `[inline, virtual]`

virtual CvBlob* CvBlobSeq::GetBlobByID | ( | int | BlobID ) | `[inline, virtual]`

virtual int CvBlobSeq::GetBlobNum | ( | ) | `[inline, virtual]`

virtual void CvBlobSeq::Load | ( | CvFileStorage * | fs,
|  | CvFileNode * | node
| ) |  | `[inline, virtual]`

virtual void CvBlobSeq::Write | ( | CvFileStorage * | fs,
|  | const char * | name
| ) |  | `[inline, virtual]`

## Member Data Documentation

char CvBlobSeq::m_pElemFormat[1024]`[protected]`

CvMemStorage* CvBlobSeq::m_pMem`[protected]`

CvSeq* CvBlobSeq::m_pSeq`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines